<?php

namespace Cashbene\GatewayMagento\Block\Adminhtml\Order\View;

use Cashbene\GatewayMagento\Service\InpostService;

class View extends \Magento\Backend\Block\Template
{
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        InpostService $inpostService
    ) {
        parent::__construct($context, [], null, null);
        $this->inpostService = $inpostService;
        $this->orderId = $this->getRequest()->getParam('order_id');
    }

    public function showBlock()
    {
        $data = $this->inpostService->getOrderData($this->orderId);
        if (!empty($data)) {
            return true;
        }
        return false;
    }

    public function getInpostTitle()
    {
        $returnData = "Cashbene Inpost";
        return $returnData;
    }

    public function getInpostText()
    {
        $data = $this->inpostService->getOrderData($this->orderId);
        $txt = '';
        foreach ($data as $inpost) {
            $txt .= $inpost['value'].'<br>';
        }
        return $txt;
    }
}
