<?php

namespace Cashbene\GatewayMagento\Block\Catalog\Product;

use Cashbene\GatewayMagento\Service\CheckoutService;
use Cashbene\GatewayMagento\Service\GatewayService;
use Magento\Framework\Module\ModuleListInterface;
use Magento\Checkout\Helper\Cart;

class Box extends \Magento\Framework\View\Element\Template
{
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        GatewayService $gatewayService,
        CheckoutService $checkoutService,
        ModuleListInterface $moduleList,
        Cart $cartHelper
    )
    {
        $this->context = $context;
        $this->gatewayService = $gatewayService;
        $this->_moduleList = $moduleList;
        $this->cartHelper = $cartHelper;
        parent::__construct($context);
    }

    public function showBlock() {
        try {
            $this->gatewayService->getGateway()->shopContext()->getMerchantCashbackValue();
            return true;
        } catch (\Exception $e) {
            return false;
        }
        return false;
    }

    public function getMerchantCashbackValue() {
        return $this->gatewayService->getGateway()->shopContext()->getMerchantCashbackValue();
    }

    public function getCurrentPage()
    {
        $displayPage = '';
        if ($this->getNameInLayout() == 'cashbene.minicart.box') {
            $displayPage = 'minicart';
        } else if ($this->context->getRequest()->getFullActionName() === 'catalog_product_view') {
            $displayPage = 'product';
        } elseif ($this->context->getRequest()->getFullActionName() === 'checkout_cart_index') {
            $displayPage = 'cart';
        }
        return $displayPage;
    }

    public function getVersion()
    {
        return $this->_moduleList
            ->getOne('Cashbene_GatewayMagento')['setup_version'];
    }

    public function displayMiniCart()
    {
        if ($this->cartHelper->getItemsCount() > 0) {
            return true;
        }
        return false;
    }
}
