<?php

namespace Cashbene\GatewayMagento\Block\Catalog\Product;

use Magento\Framework\Locale\ResolverInterface;
use Magento\Framework\View\Element\Template\Context;
use Magento\Framework\View\Element\Template;

class Modal extends Template
{
    private $_localeResolver;

    public function __construct(Context $context, ResolverInterface $localeResolver)
    {
        parent::__construct($context);
        $this->_localeResolver = $localeResolver;
    }

    public function getModal()
    {
        $lang = "pl";
        if (substr($this->_localeResolver->getLocale(), 0, 2) == "en") {
            $lang = "en";
        }

        $modal = $this->_assetRepo->createAsset("Cashbene_GatewayMagento::modal_{$lang}.html");
        $modalContent = $modal->getContent();
        $modalContent = str_replace(
            '__CASHBENE_PLUGIN_URL__',
            $this->_assetRepo->createAsset("Cashbene_GatewayMagento")->getUrl(),
            $modalContent
        );

        return $modalContent;
    }
}
