<?php

namespace Cashbene\GatewayMagento\Model\Config;

use Magento\Framework\App\Cache\TypeListInterface;
use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Config\Value;
use Magento\Framework\Data\Collection\AbstractDb;
use Magento\Framework\Model\Context;
use Magento\Framework\Model\ResourceModel\AbstractResource;
use Magento\Framework\Registry;
use Cashbene\Core\Dto\OAuth\AccessToken;
use Cashbene\GatewayMagento\Service\ConfigurationService;
use Cashbene\GatewayMagento\Service\GatewayService;

class CredentialField extends Value
{
    /** @var GatewayService */
    private $gatewayService;
    /** @var ConfigurationService */
    private $configurationService;

    public function __construct(
        Context $context,
        Registry $registry,
        ScopeConfigInterface $config,
	TypeListInterface $cacheTypeList,
	GatewayService $gatewayService,
        ConfigurationService $configurationService,
        AbstractResource $resource = null,
        AbstractDb $resourceCollection = null,
	array $data = []
    ) {
        $this->gatewayService = $gatewayService;
        $this->configurationService = $configurationService;
        parent::__construct($context, $registry, $config, $cacheTypeList, $resource, $resourceCollection, $data);

    }

    /**
     * Prepare data after save
     *
     * @return self
     */
    public function afterSave()
    {
        if ($this->isValueChanged()) {
            ShippingFields::setIsCredentialFieldChange(true);
            $this->gatewayService->setAccessToken(new AccessToken());
            $this->configurationService->setConfigValue('shipping_method', null);
            $this->configurationService->setConfigValue('show_cashbene_box', null);
        }

        return parent::afterSave();
    }
}
