<?php

namespace Cashbene\GatewayMagento\Setup;

use \Magento\Framework\Setup\InstallSchemaInterface;
use \Magento\Framework\Setup\ModuleContextInterface;
use \Magento\Framework\Setup\SchemaSetupInterface;
use \Magento\Framework\DB\Ddl\Table;

/**
 * Class InstallSchema
 *
 * @package Cashbene\GatewayMagento\Setup
 */
class InstallSchema implements InstallSchemaInterface
{

    const CASHBENE_TABLE_NAME = 'cashbene_order_inpost';

    /**
     * Install Articles table
     *
     * @param SchemaSetupInterface $setup
     * @param ModuleContextInterface $context
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $setup->startSetup();

        $tableName = $setup->getTable(self::CASHBENE_TABLE_NAME);

        if ($setup->getConnection()->isTableExists($tableName) != true) {
            $table = $setup->getConnection()
                ->newTable($tableName)
                ->addColumn(
                    'id',
                    Table::TYPE_INTEGER,
                    null,
                    [
                        'identity' => true,
                        'unsigned' => true,
                        'nullable' => false,
                        'primary' => true
                    ],
                    'ID'
                )
                ->addColumn(
                    'order_id',
                    Table::TYPE_INTEGER,
                    null,
                    [
                        'nullable' => false
                    ],
                    'Order ID'
                )
                ->addColumn(
                    'value',
                    Table::TYPE_TEXT,
                    255,
                    ['nullable' => false],
                    'Value'
                )
                ->setComment('Cashbene Order Inpost');
            $setup->getConnection()->createTable($table);
        }

        $setup->endSetup();
    }
}
